LibreOffice: XDialogProvider2 Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XDialogProvider2 Interface Reference

provides dialogs implementing the com::sun::star::awt::XDialog interface. More...

`import"XDialogProvider2.idl";`

Inheritance diagram for XDialogProvider2:

## Public Member Functions
com::sun::star::awt::XDialog | createDialogWithHandler ([in] string URL, [in] com::sun::star::uno::XInterface xHandler) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL accepting an Interface used to handle dialog events. More...
XDialog | createDialogWithArguments ([in] string URL, [in] sequence< ::com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL, accepting additional creation parameters More...
Public Member Functions inherited from XDialogProvider
com::sun::star::awt::XDialog | createDialog ([in] string URL) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides dialogs implementing the com::sun::star::awt::XDialog interface.

## Member Function Documentation

XDialog createDialogWithArguments | ( | [in] string | URL,
|  | [in] sequence< ::com::sun::star::beans::NamedValue > | Arguments
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a dialog for the given URL, accepting additional creation parameters

The arguments accepted so far are

- ParentWindow - must be a component supporting the XWindowPeer interface, or a component supporting the XControl interface, so an `XWindowPeer` can be obtained from it. The given window will be used as parent window for the to-be-created dialog.
- EventHandler - specifies a component handling events in the dialog. See createDialogWithHandler() for a detailed specification of dialog event handling.

com::sun::star::awt::XDialog createDialogWithHandler | ( | [in] string | URL,
|  | [in] com::sun::star::uno::XInterface | xHandler
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a dialog for the given URL accepting an Interface used to handle dialog events.

Parameters

  URL | is the URL.
  xHandler | is the interface that will be called to handle the Events that are generated by the dialog (and all controls placed on it) and bound to the handler using a vnd.sun.star.UNO URL specifying a handler method to be called. Usually this will be done directly by the user.

xHandler can handle events in two different ways:

1. By supporting the com::sun::star::awt::XDialogEventHandler interface. This is a generic interface to accept event notifications.
2. By providing interfaces that directly implement the handler methods to be called. The XDialogProvider2 implementation then will try to access these events using the com::sun::star::beans::IntrospectionIntrospection service. To make this possible the handler implementation also has to support com::sun::star::lang::XTypeProvider.

If XDialogEventHandler is supported XDialogEventHandler.callHandlerMethod() is always called first to handle the event. Only if the event cannot be handled by XDialogEventHandler (callHandlerMethod() then has to return false) or if XDialogEventHandler is not supported at all the Introspection based access will be used.

The Introspection based access tries to call a method named according to the HandlerMethodName specified by a `vnd.sun.star.UNO:HandlerMethodName` URL. First a method

void HandlerMethodName( [in] com::sun::star::awt::XDialog xDialog, [in] any aEvent )

will be searched. The signature is similar to XDialogEventHandler. callHandlerMethod except for MethodName itself that isn't needed here. For more information about these parameters, see com::sun::star::awt::XDialogEventHandler.

If this method is found, it will be called, otherwise a method

void HandlerMethodName( void )

will be searched and called.

Returns
  a dialog implementing the com::sun::star::awt::XDialog interface.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if no dialog for the given URL is found or if the URL is invalid or xHandler is null.

See also
  com::sun::star::awt::XDialogEventHandler

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialogProvider2.idl